Posted at

Mac OSX 10.11 El Capitanでnokogiriがインストールできない 2016/5版

More than 3 years have passed since last update.


状況

OSX10.10 Yosemite環境・Ruby2.2.2で作られたアプリケーションをOSX10.11 El Capitanで起動しようとbundle installしたらnokogiriでインストールエラー発生


対応

xcode-selectを改めてインストールすればOK。xcode-select自体はdevツールまわりのディレクトリ設定を管理するものです。devツールの設定更新で対応してあげると、nokogiriがエラーを吐かずにインストールされます。

// ターミナルなどで下記のコマンドを叩く

xcode-select --install


参考にしたIssue

Error install nokogiri with MAC OSX El Capitan #876

https://github.com/wpscanteam/wpscan/issues/876